/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2021-2021. All rights reserved.
 * Description:
 * Author: tang
 * Create:
 */
#ifndef OCK_HCOM_CPP_NUM_DEF_H
#define OCK_HCOM_CPP_NUM_DEF_H

#include <cstdint>
#include <iostream>

namespace ock {
namespace hcom {

constexpr uint32_t NN_NO0 = 0;
constexpr uint32_t NN_NO1 = 1;
constexpr uint32_t NN_NO2 = 2;
constexpr uint32_t NN_NO3 = 3;
constexpr uint32_t NN_NO4 = 4;
constexpr uint32_t NN_NO5 = 5;
constexpr uint32_t NN_NO6 = 6;
constexpr uint32_t NN_NO7 = 7;
constexpr uint32_t NN_NO8 = 8;
constexpr uint32_t NN_NO9 = 9;
constexpr uint32_t NN_NO10 = 10;
constexpr uint32_t NN_NO12 = 12;
constexpr uint32_t NN_NO16 = 16;
constexpr uint32_t NN_NO17 = 17;
constexpr uint32_t NN_NO20 = 20;
constexpr uint32_t NN_NO24 = 24;
constexpr uint32_t NN_NO28 = 28;
constexpr uint32_t NN_NO29 = 29;
constexpr uint32_t NN_NO31 = 31;
constexpr uint32_t NN_NO32 = 32;
constexpr uint32_t NN_NO48 = 48;
constexpr uint32_t NN_NO58 = 58;
constexpr uint32_t NN_NO60 = 60;
constexpr uint32_t NN_NO63 = 63;
constexpr uint32_t NN_NO64 = 64;
constexpr uint32_t NN_NO96 = 96;
constexpr uint32_t NN_NO100 = 100;
constexpr uint32_t NN_NO108 = 108;
constexpr uint32_t NN_NO120 = 120;
constexpr uint32_t NN_NO123 = 123;
constexpr uint32_t NN_NO124 = 124;
constexpr uint32_t NN_NO128 = 128;
constexpr uint32_t NN_NO165 = 165;
constexpr uint32_t NN_NO250 = 250;
constexpr uint32_t NN_NO256 = 256;
constexpr uint32_t NN_NO290 = 290;
constexpr uint32_t NN_NO400 = 400;
constexpr uint32_t NN_NO500 = 500;
constexpr uint32_t NN_NO0600 = 0600;
constexpr uint32_t NN_NO512 = 512;
constexpr uint32_t NN_NO770 = 770;
constexpr uint32_t NN_NO771 = 771;
constexpr uint32_t NN_NO772 = 772;
constexpr uint32_t NN_NO1000 = 1000;
constexpr uint32_t NN_NO1024 = 1024;
constexpr uint32_t NN_NO1200 = 1200;
constexpr uint32_t NN_NO2048 = 2048;
constexpr uint32_t NN_NO2000 = 2000;
constexpr uint32_t NN_NO4096 = 4096;
constexpr uint16_t NN_NO7200 = 7200;
constexpr uint16_t NN_NO8192 = 8192;
constexpr uint16_t NN_NO65535 = 65535;
constexpr uint32_t NN_NO65536 = 65536;
constexpr uint32_t NN_NO500000 = 500000;
constexpr uint32_t NN_NO1000000 = 1000000;
constexpr uint32_t NN_NO1048576 = 1048576;
constexpr uint32_t NN_NO2000000 = 2000000;
constexpr uint32_t NN_NO2097152 = 2097152;
constexpr uint32_t NN_NO8388608 = 8388608;
constexpr uint32_t NN_NO16777216 = 16777216;
constexpr uint32_t NN_NO1073741824 = 1073741824;
constexpr uint32_t NN_NO2147483646 = 2147483646;
constexpr uint32_t NN_NO1000000000 = 1000000000;
constexpr uint64_t NN_NO107374182400 = 107374182400;
constexpr uint64_t NN_NO1099511627776 = 1099511627776; // 1TB

}
}

#endif // OCK_HCOM_CPP_NUM_DEF_H
